﻿Ext.namespace("Everest");
Ext.namespace("Everest.plugins");
Ext.namespace("Everest.Cms");
Ext.namespace("Everest.Cms.ContextMenu");

Resources = {
    NavigateTreeTitle: 'Kooboo',
    pagingToolbar_Msg: '{0} - {1} of {2}',
    beforePageText: 'Page',
    afterPageText: 'Of {0}',
    pagingToolbar_EmptyMsg: "No data",
    addNew: 'New',
    grid_submit: 'Submit',
    showDetails: 'Detail',
    grid_insertItem: 'Insert Item',
    grid_deleteItem: 'Delete Item',
    form_ShowData: 'Show',
    confirmTitle: 'Attention',
    confirmDeleteMsg: 'Are you sure you want to delete this item?',
    form_saveAndClose: 'Save & Close',
    form_save: 'Save',
    form_reset: 'Reset',
    form_close: 'Close',
    mask_msg: 'Please wait...',
    confirmClose: 'The form has been changed,are you sure you want to exit without saving? ',
    addContentTemplateToPageTip: 'The page detail form has been changed,save the form before adding content template.',
    uploadDialogTitle: "Upload {0}' {1}",
    refresh: 'Refresh',
    version: 'Version',
    addContent: "Add Component",
    upload: 'Upload',
    editBody: 'Edit Body',
    deleteText: 'Delete',
    preview: 'Preview',
    unzip: 'Unzip',
    showModuleTypes: 'Show Plugin Types',
    pagePluginText: "PagePlugin",
    packageText: "Package",
    revertTo: 'Revert To',
    showSnapshot: 'Show Snapshot',
    checkinCommenTipTitle: "Comment",
    checkinCommenTip: "",
    revertSuccessed: "Reverted to #{0} ",
    revertFailed: "Revert to revision #{0} failed, error message {1}.",
    snapshotTitle: "{0}-Snapshot",
    warningAddFunction: "You must save the new schema before adding a function.",
    warningAddSubContent: "You must save parent content before adding sub content.",
    showSnapshot: "Show Snapshot",
    copyNew: "Copy",
    statusText_Add: 'Add Mode',
    statusText_Update: 'Update Mode',
    statusText_Readonly: 'ReadOnly',
    createApplication: "Create Application",
    expand: "Expand",
    collapse: "Collapse",
    removeApplication: "Remove Application",
    gotoNode: 'Go to The Node',
    addFolder: 'Add Folder',
    properties: 'Property',
    ok: " OK ",
    cancel: " Cancel ",
    confirmDelete: 'Are you sure you want delete {0}.',
    localize: 'Localize',
    unlocalize: 'Unlocalize',
    relations: 'Relation',
    usedby: 'Used By',
    confirmRefreshPage: "Are you sure you want to leave page? All your changes might be lost.",
    customFunctionMenu: "Custom",
    workflowMenu: "Workflow",
    workflowProcess: 'Proceed',
    workflowReject: 'Reject',
    workflowStatus: 'Status',
    contentIncluding: 'Inclusion',
    contentInclude: 'Include',
    contentExclude: 'Exclude',
    authenticationExpiredTitle: 'Authentication Expired',
    //    authenticationExpiredMsg: 'Your authentication has been expired,please login again.',
    addTextContentFolderTitle: 'Add Content Folder',
    addContentViewFolderTitle: 'Add Content View Folder',
    addContentViewContext: 'Add Content View',
    titleSplitter: '>',
    schedule: 'Schedule',
    userProfile: 'Setting',
    users: 'User',
    roles: 'Role',
    textSchema: 'Text Schema',
    binarySchema: 'Binary Schema',
    validatorGroup: 'Validation Group',
    validator: 'Validation Rule',
    contentTemplate: 'Content Template',
    pageTemplate: 'Layout Template',
    textResource: 'Text Resource',
    binaryResource: 'Binary Resource',
    pagePluginText: 'PagePlugin',
    packageText: 'Package',
    content: 'Content',
    // binaryContent: 'Binary Content',
    workflow: 'Workflow',
    page: 'Page',
    addSubDirectoryTitle: "Add '{0}' sub folder",
    addSubDirectoryMsg: " Folder Name",
    addBinaryContentFolder: 'Add Binary Content Folder',
    centerPanel: 'Start Page',
    logoHtml: '<div style="position:relative; padding:10px 8px;height:22px"><a href="http://www.kooboo.com" target="external"><img src="/Styles/Images/logo.jpg" alt="Yardi Technology Limited"/></a><span style="position:absolute;right:8px"><a href="/account/ChangePassword">ChangePassword</a> <a href="/account/logout">Logout</a></span></div>',
    userInfoLayout: 'User:{0}',
    title: 'Title',
    openInNewTab: 'Open In New Tab',
    install: 'Install',
    unstall: 'Unstall',
    admin: 'Admin',
    moduleText: 'Module',
    installMsg: 'Are you sure you want to install this module?',
    unstallMsg: 'Are you sure you want to unstall this module?',
    visualDesign: 'Visual Design',
    networkError: 'Network busy, please try again.',
    addToPage: 'Add To Page',
    addContentTemplateToPageTitle: 'Add {0} To Pages',
    stopWorkflow: 'Stop',
    addWebForm: 'Add Web Form: ',
    editWebForm: 'Edit Web Form: ',
    addWebFormData: 'Adding Data: ',
    editWebFormData: 'Editing Data: ',
    up: 'Up',
    down: 'Down',
    upIcon: 'Views/Styles/Images/Up.png',
    downIcon: 'Views/Styles/Images/down.png'
};
Everest.plugins.language = {
    tabClose: 'Close',
    tabCloseOthers: 'Close Others',
    tabCloseAll: 'Close All',
    tabRefresh: 'Refresh',
    gridCopyCell: 'Copy Cell',
    gridCopySelectedRow: 'Copy Selected Row',
    gridRefresh: 'Refresh',
    gridSelectAll: 'Select All',
    gridSelectCurrent: 'Select Row',
    gridClearAll: 'Clear All Selected',
    gridReverseSelect: 'Reverse Select'
}
ActionUrl = {
    normalFormUrl: '/admin/GetForm',
    contentFormUrl: "/content/GetForm"
}
