﻿Ext.namespace("Everest");
Ext.namespace("Everest.plugins");
Ext.namespace("Everest.Cms");
Ext.namespace("Everest.Cms.ContextMenu");

Resources = {
    NavigateTreeTitle: 'Kooboo',
    pagingToolbar_Msg: '{0}-{1},{2}',
    beforePageText: '当前页',
    afterPageText: '共{0}页',
    pagingToolbar_EmptyMsg: "没有数据",
    addNew: '添加',
    grid_submit: '提交',
    showDetails: '查看',
    grid_insertItem: '插入行',
    grid_deleteItem: '删除行',
    form_ShowData: '显示',
    confirmTitle: '注意',
    confirmDeleteMsg: '是否确定删除?',
    form_saveAndClose: '保存并关闭',
    form_save: '保存',
    form_reset: '重置',
    form_close: '关闭',
    mask_msg: '请稍等...',
    confirmClose: '表单数据未保存，是否确认退出？ ',
    addContentTemplateToPageTip: '页面信息已更改，请先保页面再添加部件。',
    uploadDialogTitle: "上传 {0}' {1}",
    refresh: '刷新',
    version: '版本',
    addContent: "添加",
    upload: '上传',
    editBody: '编辑',
    deleteText: '删除',
    preview: '预览',
    unzip: '解压',
    showModuleTypes: '显示类名',
    revertTo: '恢复',
    showSnapshot: '显示快照',
    checkinCommenTipTitle: "注释",
    checkinCommenTip: "",
    revertSuccessed: "成功恢复到#{0}版本",
    revertFailed: "恢复版本失败，错误信息：{1}。",
    snapshotTitle: "{0}-快照",
    warningAddFunction: "请先保存内容类型，再添加扩展功能",
    warningAddSubContent: "请先保存再添加子内容。",
    copyNew: "复制",
    statusText_Add: '添加状态',
    statusText_Update: '更新状态',
    statusText_Readonly: '只读状态',
    createApplication: "创建站点",
    expand: "展开",
    collapse: "收缩",
    removeApplication: "删除站点",
    gotoNode: '转向',
    addFolder: '添加目录',
    properties: '属性',
    ok: " 确定 ",
    cancel: " 取消 ",
    confirmDelete: '您是否确定删除"{0}"？',
    localize: '本地化',
    unlocalize: '使用继承',
    relations: '关系',
    usedby: '应用于',
    confirmRefreshPage: "如果您退出本页面，所有当前改动都将丢失，是否确认？",
    customFunctionMenu: "脚本",
    workflowMenu: "工作流",
    workflowProcess: '处理',
    workflowReject: '退回',
    workflowStatus: '状态',
    contentIncluding: '包含',
    contentInclude: '包含在本站',
    contentExclude: '从本站排除',
    authenticationExpiredTitle: '登录超时',
    //    authenticationExpiredMsg: '验证过期，请重新登录。',
    addTextContentFolderTitle: '添加内容目录',
    addContentViewFolderTitle: '添加视图',
    addContentViewContext: '添加视图',
    titleSplitter: '>',
    schedule: '计划任务',
    userProfile: '用户设置',
    users: '用户',
    roles: '角色',
    textSchema: '文本类型',
    binarySchema: '文档类型',
    validatorGroup: '验证组',
    validator: '验证规则',
    contentTemplate: '内容模板',
    pageTemplate: '布局模板',
    textResource: '文本资源',
    binaryResource: '文件资源',
    pagePluginText: "插件",
    packageText: "站点包",
    content: '内容',
    //binaryContent: '文档内容',
    workflow: '工作流',
    page: '页面',
    addSubDirectoryTitle: "添加'{0}'的子目录",
    addSubDirectoryMsg: "目录名称",
    addBinaryContentFolder: '添加文档目录',
    centerPanel: '起始页',
    logoHtml: '<div style="position:relative; padding:10px 8px;height:22px"><a href="http://www.kooboo.com" target="external"><img src="/Styles/Images/logo.jpg" alt="亚尔迪（厦门）科技有限公司"/></a><span style="position:absolute;right:8px"><a href="/account/ChangePassword">修改密码</a> <a href="/account/logout">退出</a></span></div>',
    userInfoLayout: '当前用户:{0}',
    title: '标题',
    openInNewTab: '在新标签中打开',
    install: '安装',
    unstall: '卸载',
    admin: '管理',
    moduleText: '模块',
    installMsg: '确定安装选择的组件？',
    unstallMsg: '确定卸载选择的组件？',
    visualDesign: '可视化设计',
    networkError: '网络繁忙，请重试。',
    addToPage: '添加到页面',
    addContentTemplateToPageTitle: '添加{0}到多个页面',
    stopWorkflow: '停止',
    addWebForm: '新增表单： ',
    editWebForm: '编辑表单： ',
    addWebFormData: '新增表单数据： ',
    editWebFormData: '编辑表单数据： ',
    up: '上移',
    down: '下移',
    upIcon: 'Views/Styles/Images/Up.png',
    downIcon: 'Views/Styles/Images/down.png'
};
Everest.plugins.language = {
    tabClose: '关闭',
    tabCloseOthers: '关闭其它',
    tabCloseAll: '关闭全部',
    tabRefresh: '刷新',
    gridCopyCell: '复制单元格',
    gridCopySelectedRow: '复制选中行',
    gridRefresh: '刷新',
    gridSelectAll: '选择全部',
    gridSelectCurrent: '选择当前行',
    gridClearAll: '清除选择',
    gridReverseSelect: '反选'
}
ActionUrl = {

    normalFormUrl: '/form/GetForm',
    contentFormUrl: "/content/GetForm",

}
