﻿/// <reference path="/Javascript/ext/3.0/ext-base.js" />
/// <reference path="/Javascript/ext/3.0/ext-all-debug.js" />

Ext.namespace('Ext.ux');
Ext.namespace('Ext.ux.state');
Ext.ux.state.PureObjectProvider = Ext.extend(Ext.state.Provider, {
    get: function(name, defaultValue) {
        var value = typeof this.state[name] == "undefined" ?
            defaultValue : this.state[name];
        if (value) {
            var state = {};
            for (var p in value) {
                state[p] = value[p];
            }
            return state;
        }
        return value;
    }
});